package cn.ibizlab.businesscentral.core.odoo_account.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_account.domain.Account_cash_rounding;
import cn.ibizlab.businesscentral.core.odoo_account.filter.Account_cash_roundingSearchContext;


/**
 * 实体[Account_cash_rounding] 服务对象接口
 */
public interface IAccount_cash_roundingService{

    boolean create(Account_cash_rounding et) ;
    void createBatch(List<Account_cash_rounding> list) ;
    boolean update(Account_cash_rounding et) ;
    void updateBatch(List<Account_cash_rounding> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Account_cash_rounding get(Long key) ;
    Page<Account_cash_rounding> searchDefault(Account_cash_roundingSearchContext context) ;

}



