package cn.ibizlab.businesscentral.core.odoo_account.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_account.domain.Account_move_reversal;
import cn.ibizlab.businesscentral.core.odoo_account.filter.Account_move_reversalSearchContext;


/**
 * 实体[Account_move_reversal] 服务对象接口
 */
public interface IAccount_move_reversalService{

    boolean create(Account_move_reversal et) ;
    void createBatch(List<Account_move_reversal> list) ;
    boolean update(Account_move_reversal et) ;
    void updateBatch(List<Account_move_reversal> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Account_move_reversal get(Long key) ;
    Page<Account_move_reversal> searchDefault(Account_move_reversalSearchContext context) ;

}



