package cn.ibizlab.businesscentral.core.odoo_event.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_event.domain.Event_event_ticket;
import cn.ibizlab.businesscentral.core.odoo_event.filter.Event_event_ticketSearchContext;


/**
 * 实体[Event_event_ticket] 服务对象接口
 */
public interface IEvent_event_ticketService{

    boolean create(Event_event_ticket et) ;
    void createBatch(List<Event_event_ticket> list) ;
    boolean update(Event_event_ticket et) ;
    void updateBatch(List<Event_event_ticket> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Event_event_ticket get(Long key) ;
    Page<Event_event_ticket> searchDefault(Event_event_ticketSearchContext context) ;

}



