package cn.ibizlab.businesscentral.core.odoo_gamification.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_gamification.domain.Gamification_goal;
import cn.ibizlab.businesscentral.core.odoo_gamification.filter.Gamification_goalSearchContext;


/**
 * 实体[Gamification_goal] 服务对象接口
 */
public interface IGamification_goalService{

    boolean create(Gamification_goal et) ;
    void createBatch(List<Gamification_goal> list) ;
    boolean update(Gamification_goal et) ;
    void updateBatch(List<Gamification_goal> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Gamification_goal get(Long key) ;
    Page<Gamification_goal> searchDefault(Gamification_goalSearchContext context) ;

}



