package cn.ibizlab.businesscentral.core.odoo_hr.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_hr.domain.Hr_attendance;
import cn.ibizlab.businesscentral.core.odoo_hr.filter.Hr_attendanceSearchContext;


/**
 * 实体[Hr_attendance] 服务对象接口
 */
public interface IHr_attendanceService{

    boolean create(Hr_attendance et) ;
    void createBatch(List<Hr_attendance> list) ;
    boolean update(Hr_attendance et) ;
    void updateBatch(List<Hr_attendance> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Hr_attendance get(Long key) ;
    Page<Hr_attendance> searchDefault(Hr_attendanceSearchContext context) ;

}



