package cn.ibizlab.businesscentral.core.odoo_hr.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_hr.domain.Hr_expense;
import cn.ibizlab.businesscentral.core.odoo_hr.filter.Hr_expenseSearchContext;


/**
 * 实体[Hr_expense] 服务对象接口
 */
public interface IHr_expenseService{

    boolean create(Hr_expense et) ;
    void createBatch(List<Hr_expense> list) ;
    boolean update(Hr_expense et) ;
    void updateBatch(List<Hr_expense> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Hr_expense get(Long key) ;
    Page<Hr_expense> searchDefault(Hr_expenseSearchContext context) ;

}



