package cn.ibizlab.businesscentral.core.odoo_hr.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_hr.domain.Hr_expense_refuse_wizard;
import cn.ibizlab.businesscentral.core.odoo_hr.filter.Hr_expense_refuse_wizardSearchContext;


/**
 * 实体[Hr_expense_refuse_wizard] 服务对象接口
 */
public interface IHr_expense_refuse_wizardService{

    boolean create(Hr_expense_refuse_wizard et) ;
    void createBatch(List<Hr_expense_refuse_wizard> list) ;
    boolean update(Hr_expense_refuse_wizard et) ;
    void updateBatch(List<Hr_expense_refuse_wizard> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Hr_expense_refuse_wizard get(Long key) ;
    Page<Hr_expense_refuse_wizard> searchDefault(Hr_expense_refuse_wizardSearchContext context) ;

}



