package cn.ibizlab.businesscentral.core.odoo_hr.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_hr.domain.Hr_leave;
import cn.ibizlab.businesscentral.core.odoo_hr.filter.Hr_leaveSearchContext;


/**
 * 实体[Hr_leave] 服务对象接口
 */
public interface IHr_leaveService{

    boolean create(Hr_leave et) ;
    void createBatch(List<Hr_leave> list) ;
    boolean update(Hr_leave et) ;
    void updateBatch(List<Hr_leave> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Hr_leave get(Long key) ;
    Page<Hr_leave> searchDefault(Hr_leaveSearchContext context) ;

}



