package cn.ibizlab.businesscentral.core.odoo_lunch.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_lunch.domain.Lunch_alert;
import cn.ibizlab.businesscentral.core.odoo_lunch.filter.Lunch_alertSearchContext;


/**
 * 实体[Lunch_alert] 服务对象接口
 */
public interface ILunch_alertService{

    boolean create(Lunch_alert et) ;
    void createBatch(List<Lunch_alert> list) ;
    boolean update(Lunch_alert et) ;
    void updateBatch(List<Lunch_alert> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Lunch_alert get(Long key) ;
    Page<Lunch_alert> searchDefault(Lunch_alertSearchContext context) ;

}



