package cn.ibizlab.businesscentral.core.odoo_mail.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_mail.domain.Mail_blacklist;
import cn.ibizlab.businesscentral.core.odoo_mail.filter.Mail_blacklistSearchContext;


/**
 * 实体[Mail_blacklist] 服务对象接口
 */
public interface IMail_blacklistService{

    boolean create(Mail_blacklist et) ;
    void createBatch(List<Mail_blacklist> list) ;
    boolean update(Mail_blacklist et) ;
    void updateBatch(List<Mail_blacklist> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Mail_blacklist get(Long key) ;
    Page<Mail_blacklist> searchDefault(Mail_blacklistSearchContext context) ;

}



