package cn.ibizlab.businesscentral.core.odoo_mail.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_mail.domain.Mail_compose_message;
import cn.ibizlab.businesscentral.core.odoo_mail.filter.Mail_compose_messageSearchContext;


/**
 * 实体[Mail_compose_message] 服务对象接口
 */
public interface IMail_compose_messageService{

    boolean create(Mail_compose_message et) ;
    void createBatch(List<Mail_compose_message> list) ;
    boolean update(Mail_compose_message et) ;
    void updateBatch(List<Mail_compose_message> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Mail_compose_message get(Long key) ;
    Page<Mail_compose_message> searchDefault(Mail_compose_messageSearchContext context) ;

}



