package cn.ibizlab.businesscentral.core.odoo_mail.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_mail.domain.Mail_mail_statistics;
import cn.ibizlab.businesscentral.core.odoo_mail.filter.Mail_mail_statisticsSearchContext;


/**
 * 实体[Mail_mail_statistics] 服务对象接口
 */
public interface IMail_mail_statisticsService{

    boolean create(Mail_mail_statistics et) ;
    void createBatch(List<Mail_mail_statistics> list) ;
    boolean update(Mail_mail_statistics et) ;
    void updateBatch(List<Mail_mail_statistics> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Mail_mail_statistics get(Long key) ;
    Page<Mail_mail_statistics> searchDefault(Mail_mail_statisticsSearchContext context) ;

}



