package cn.ibizlab.businesscentral.core.odoo_mail.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_mail.domain.Mail_mass_mailing_contact;
import cn.ibizlab.businesscentral.core.odoo_mail.filter.Mail_mass_mailing_contactSearchContext;


/**
 * 实体[Mail_mass_mailing_contact] 服务对象接口
 */
public interface IMail_mass_mailing_contactService{

    boolean create(Mail_mass_mailing_contact et) ;
    void createBatch(List<Mail_mass_mailing_contact> list) ;
    boolean update(Mail_mass_mailing_contact et) ;
    void updateBatch(List<Mail_mass_mailing_contact> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Mail_mass_mailing_contact get(Long key) ;
    Page<Mail_mass_mailing_contact> searchDefault(Mail_mass_mailing_contactSearchContext context) ;

}



