package cn.ibizlab.businesscentral.core.odoo_maintenance.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_maintenance.domain.Maintenance_equipment_category;
import cn.ibizlab.businesscentral.core.odoo_maintenance.filter.Maintenance_equipment_categorySearchContext;


/**
 * 实体[Maintenance_equipment_category] 服务对象接口
 */
public interface IMaintenance_equipment_categoryService{

    boolean create(Maintenance_equipment_category et) ;
    void createBatch(List<Maintenance_equipment_category> list) ;
    boolean update(Maintenance_equipment_category et) ;
    void updateBatch(List<Maintenance_equipment_category> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Maintenance_equipment_category get(Long key) ;
    Page<Maintenance_equipment_category> searchDefault(Maintenance_equipment_categorySearchContext context) ;

}



