package cn.ibizlab.businesscentral.core.odoo_maintenance.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_maintenance.domain.Maintenance_team;
import cn.ibizlab.businesscentral.core.odoo_maintenance.filter.Maintenance_teamSearchContext;


/**
 * 实体[Maintenance_team] 服务对象接口
 */
public interface IMaintenance_teamService{

    boolean create(Maintenance_team et) ;
    void createBatch(List<Maintenance_team> list) ;
    boolean update(Maintenance_team et) ;
    void updateBatch(List<Maintenance_team> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Maintenance_team get(Long key) ;
    Page<Maintenance_team> searchDefault(Maintenance_teamSearchContext context) ;

}



