package cn.ibizlab.businesscentral.core.odoo_mro.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_mro.domain.Mro_pm_meter_line;
import cn.ibizlab.businesscentral.core.odoo_mro.filter.Mro_pm_meter_lineSearchContext;


/**
 * 实体[Mro_pm_meter_line] 服务对象接口
 */
public interface IMro_pm_meter_lineService{

    boolean create(Mro_pm_meter_line et) ;
    void createBatch(List<Mro_pm_meter_line> list) ;
    boolean update(Mro_pm_meter_line et) ;
    void updateBatch(List<Mro_pm_meter_line> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Mro_pm_meter_line get(Long key) ;
    Page<Mro_pm_meter_line> searchDefault(Mro_pm_meter_lineSearchContext context) ;

}



