package cn.ibizlab.businesscentral.core.odoo_mro.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_mro.domain.Mro_request;
import cn.ibizlab.businesscentral.core.odoo_mro.filter.Mro_requestSearchContext;


/**
 * 实体[Mro_request] 服务对象接口
 */
public interface IMro_requestService{

    boolean create(Mro_request et) ;
    void createBatch(List<Mro_request> list) ;
    boolean update(Mro_request et) ;
    void updateBatch(List<Mro_request> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Mro_request get(Long key) ;
    Page<Mro_request> searchDefault(Mro_requestSearchContext context) ;

}



