package cn.ibizlab.businesscentral.core.odoo_portal.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_portal.domain.Portal_mixin;
import cn.ibizlab.businesscentral.core.odoo_portal.filter.Portal_mixinSearchContext;


/**
 * 实体[Portal_mixin] 服务对象接口
 */
public interface IPortal_mixinService{

    boolean create(Portal_mixin et) ;
    void createBatch(List<Portal_mixin> list) ;
    boolean update(Portal_mixin et) ;
    void updateBatch(List<Portal_mixin> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Portal_mixin get(Long key) ;
    Page<Portal_mixin> searchDefault(Portal_mixinSearchContext context) ;

}



