package cn.ibizlab.businesscentral.core.odoo_resource.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_resource.domain.Resource_calendar;
import cn.ibizlab.businesscentral.core.odoo_resource.filter.Resource_calendarSearchContext;


/**
 * 实体[Resource_calendar] 服务对象接口
 */
public interface IResource_calendarService{

    boolean create(Resource_calendar et) ;
    void createBatch(List<Resource_calendar> list) ;
    boolean update(Resource_calendar et) ;
    void updateBatch(List<Resource_calendar> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Resource_calendar get(Long key) ;
    Page<Resource_calendar> searchDefault(Resource_calendarSearchContext context) ;

}



