package cn.ibizlab.businesscentral.core.odoo_resource.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_resource.domain.Resource_resource;
import cn.ibizlab.businesscentral.core.odoo_resource.filter.Resource_resourceSearchContext;


/**
 * 实体[Resource_resource] 服务对象接口
 */
public interface IResource_resourceService{

    boolean create(Resource_resource et) ;
    void createBatch(List<Resource_resource> list) ;
    boolean update(Resource_resource et) ;
    void updateBatch(List<Resource_resource> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Resource_resource get(Long key) ;
    Page<Resource_resource> searchDefault(Resource_resourceSearchContext context) ;

}



