package cn.ibizlab.businesscentral.core.odoo_resource.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_resource.domain.Resource_test;
import cn.ibizlab.businesscentral.core.odoo_resource.filter.Resource_testSearchContext;


/**
 * 实体[Resource_test] 服务对象接口
 */
public interface IResource_testService{

    boolean create(Resource_test et) ;
    void createBatch(List<Resource_test> list) ;
    boolean update(Resource_test et) ;
    void updateBatch(List<Resource_test> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Resource_test get(Long key) ;
    Page<Resource_test> searchDefault(Resource_testSearchContext context) ;

}



