package cn.ibizlab.businesscentral.core.odoo_stock.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_change_standard_price;
import cn.ibizlab.businesscentral.core.odoo_stock.filter.Stock_change_standard_priceSearchContext;


/**
 * 实体[Stock_change_standard_price] 服务对象接口
 */
public interface IStock_change_standard_priceService{

    boolean create(Stock_change_standard_price et) ;
    void createBatch(List<Stock_change_standard_price> list) ;
    boolean update(Stock_change_standard_price et) ;
    void updateBatch(List<Stock_change_standard_price> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Stock_change_standard_price get(Long key) ;
    Page<Stock_change_standard_price> searchDefault(Stock_change_standard_priceSearchContext context) ;

}



