package cn.ibizlab.businesscentral.core.odoo_stock.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_move;
import cn.ibizlab.businesscentral.core.odoo_stock.filter.Stock_moveSearchContext;


/**
 * 实体[Stock_move] 服务对象接口
 */
public interface IStock_moveService{

    boolean create(Stock_move et) ;
    void createBatch(List<Stock_move> list) ;
    boolean update(Stock_move et) ;
    void updateBatch(List<Stock_move> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Stock_move get(Long key) ;
    Page<Stock_move> searchDefault(Stock_moveSearchContext context) ;

}



