package cn.ibizlab.businesscentral.core.odoo_stock.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_production_lot;
import cn.ibizlab.businesscentral.core.odoo_stock.filter.Stock_production_lotSearchContext;


/**
 * 实体[Stock_production_lot] 服务对象接口
 */
public interface IStock_production_lotService{

    boolean create(Stock_production_lot et) ;
    void createBatch(List<Stock_production_lot> list) ;
    boolean update(Stock_production_lot et) ;
    void updateBatch(List<Stock_production_lot> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Stock_production_lot get(Long key) ;
    Page<Stock_production_lot> searchDefault(Stock_production_lotSearchContext context) ;

}



