package cn.ibizlab.businesscentral.core.odoo_stock.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_rule;
import cn.ibizlab.businesscentral.core.odoo_stock.filter.Stock_ruleSearchContext;


/**
 * 实体[Stock_rule] 服务对象接口
 */
public interface IStock_ruleService{

    boolean create(Stock_rule et) ;
    void createBatch(List<Stock_rule> list) ;
    boolean update(Stock_rule et) ;
    void updateBatch(List<Stock_rule> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Stock_rule get(Long key) ;
    Page<Stock_rule> searchDefault(Stock_ruleSearchContext context) ;

}



