package cn.ibizlab.businesscentral.core.odoo_stock.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_warehouse_orderpoint;
import cn.ibizlab.businesscentral.core.odoo_stock.filter.Stock_warehouse_orderpointSearchContext;


/**
 * 实体[Stock_warehouse_orderpoint] 服务对象接口
 */
public interface IStock_warehouse_orderpointService{

    boolean create(Stock_warehouse_orderpoint et) ;
    void createBatch(List<Stock_warehouse_orderpoint> list) ;
    boolean update(Stock_warehouse_orderpoint et) ;
    void updateBatch(List<Stock_warehouse_orderpoint> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Stock_warehouse_orderpoint get(Long key) ;
    Page<Stock_warehouse_orderpoint> searchDefault(Stock_warehouse_orderpointSearchContext context) ;

}



