package cn.ibizlab.businesscentral.core.odoo_survey.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_survey.domain.Survey_stage;
import cn.ibizlab.businesscentral.core.odoo_survey.filter.Survey_stageSearchContext;


/**
 * 实体[Survey_stage] 服务对象接口
 */
public interface ISurvey_stageService{

    boolean create(Survey_stage et) ;
    void createBatch(List<Survey_stage> list) ;
    boolean update(Survey_stage et) ;
    void updateBatch(List<Survey_stage> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Survey_stage get(Long key) ;
    Page<Survey_stage> searchDefault(Survey_stageSearchContext context) ;

}



