package cn.ibizlab.businesscentral.core.odoo_website.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_website.domain.Website_menu;
import cn.ibizlab.businesscentral.core.odoo_website.filter.Website_menuSearchContext;


/**
 * 实体[Website_menu] 服务对象接口
 */
public interface IWebsite_menuService{

    boolean create(Website_menu et) ;
    void createBatch(List<Website_menu> list) ;
    boolean update(Website_menu et) ;
    void updateBatch(List<Website_menu> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Website_menu get(Long key) ;
    Page<Website_menu> searchDefault(Website_menuSearchContext context) ;

}



