package cn.ibizlab.businesscentral.core.odoo_account.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_account.domain.Account_account;
import cn.ibizlab.businesscentral.core.odoo_account.filter.Account_accountSearchContext;


/**
 * 实体[Account_account] 服务对象接口
 */
public interface IAccount_accountService{

    boolean create(Account_account et) ;
    void createBatch(List<Account_account> list) ;
    boolean update(Account_account et) ;
    void updateBatch(List<Account_account> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Account_account get(Long key) ;
    Page<Account_account> searchDefault(Account_accountSearchContext context) ;

}



