package cn.ibizlab.businesscentral.core.odoo_base.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_base.domain.Base_module_upgrade;
import cn.ibizlab.businesscentral.core.odoo_base.filter.Base_module_upgradeSearchContext;


/**
 * 实体[Base_module_upgrade] 服务对象接口
 */
public interface IBase_module_upgradeService{

    boolean create(Base_module_upgrade et) ;
    void createBatch(List<Base_module_upgrade> list) ;
    boolean update(Base_module_upgrade et) ;
    void updateBatch(List<Base_module_upgrade> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Base_module_upgrade get(Long key) ;
    Page<Base_module_upgrade> searchDefault(Base_module_upgradeSearchContext context) ;

}



