package cn.ibizlab.businesscentral.core.odoo_base.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_base.domain.Res_country;
import cn.ibizlab.businesscentral.core.odoo_base.filter.Res_countrySearchContext;


/**
 * 实体[Res_country] 服务对象接口
 */
public interface IRes_countryService{

    boolean create(Res_country et) ;
    void createBatch(List<Res_country> list) ;
    boolean update(Res_country et) ;
    void updateBatch(List<Res_country> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Res_country get(Long key) ;
    Page<Res_country> searchDefault(Res_countrySearchContext context) ;

}



