package cn.ibizlab.businesscentral.core.odoo_crm.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_crm.domain.Crm_partner_binding;
import cn.ibizlab.businesscentral.core.odoo_crm.filter.Crm_partner_bindingSearchContext;


/**
 * 实体[Crm_partner_binding] 服务对象接口
 */
public interface ICrm_partner_bindingService{

    boolean create(Crm_partner_binding et) ;
    void createBatch(List<Crm_partner_binding> list) ;
    boolean update(Crm_partner_binding et) ;
    void updateBatch(List<Crm_partner_binding> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Crm_partner_binding get(Long key) ;
    Page<Crm_partner_binding> searchDefault(Crm_partner_bindingSearchContext context) ;

}



