package cn.ibizlab.businesscentral.core.odoo_crm.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_crm.domain.Crm_team;
import cn.ibizlab.businesscentral.core.odoo_crm.filter.Crm_teamSearchContext;


/**
 * 实体[Crm_team] 服务对象接口
 */
public interface ICrm_teamService{

    boolean create(Crm_team et) ;
    void createBatch(List<Crm_team> list) ;
    boolean update(Crm_team et) ;
    void updateBatch(List<Crm_team> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Crm_team get(Long key) ;
    Page<Crm_team> searchDefault(Crm_teamSearchContext context) ;

}



