package cn.ibizlab.businesscentral.core.odoo_gamification.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_gamification.domain.Gamification_challenge;
import cn.ibizlab.businesscentral.core.odoo_gamification.filter.Gamification_challengeSearchContext;


/**
 * 实体[Gamification_challenge] 服务对象接口
 */
public interface IGamification_challengeService{

    boolean create(Gamification_challenge et) ;
    void createBatch(List<Gamification_challenge> list) ;
    boolean update(Gamification_challenge et) ;
    void updateBatch(List<Gamification_challenge> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Gamification_challenge get(Long key) ;
    Page<Gamification_challenge> searchDefault(Gamification_challengeSearchContext context) ;

}



