package cn.ibizlab.businesscentral.core.odoo_product.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_product.domain.Product_replenish;
import cn.ibizlab.businesscentral.core.odoo_product.filter.Product_replenishSearchContext;


/**
 * 实体[Product_replenish] 服务对象接口
 */
public interface IProduct_replenishService{

    boolean create(Product_replenish et) ;
    void createBatch(List<Product_replenish> list) ;
    boolean update(Product_replenish et) ;
    void updateBatch(List<Product_replenish> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Product_replenish get(Long key) ;
    Page<Product_replenish> searchDefault(Product_replenishSearchContext context) ;

}



