package cn.ibizlab.businesscentral.core.odoo_purchase.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_purchase.domain.Purchase_report;
import cn.ibizlab.businesscentral.core.odoo_purchase.filter.Purchase_reportSearchContext;


/**
 * 实体[Purchase_report] 服务对象接口
 */
public interface IPurchase_reportService{

    boolean create(Purchase_report et) ;
    void createBatch(List<Purchase_report> list) ;
    boolean update(Purchase_report et) ;
    void updateBatch(List<Purchase_report> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Purchase_report get(Long key) ;
    Page<Purchase_report> searchDefault(Purchase_reportSearchContext context) ;

}



