package cn.ibizlab.businesscentral.core.odoo_resource.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_resource.domain.Resource_mixin;
import cn.ibizlab.businesscentral.core.odoo_resource.filter.Resource_mixinSearchContext;


/**
 * 实体[Resource_mixin] 服务对象接口
 */
public interface IResource_mixinService{

    boolean create(Resource_mixin et) ;
    void createBatch(List<Resource_mixin> list) ;
    boolean update(Resource_mixin et) ;
    void updateBatch(List<Resource_mixin> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Resource_mixin get(Long key) ;
    Page<Resource_mixin> searchDefault(Resource_mixinSearchContext context) ;

}



