package cn.ibizlab.businesscentral.core.odoo_stock.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_stock.domain.Stock_quantity_history;
import cn.ibizlab.businesscentral.core.odoo_stock.filter.Stock_quantity_historySearchContext;


/**
 * 实体[Stock_quantity_history] 服务对象接口
 */
public interface IStock_quantity_historyService{

    boolean create(Stock_quantity_history et) ;
    void createBatch(List<Stock_quantity_history> list) ;
    boolean update(Stock_quantity_history et) ;
    void updateBatch(List<Stock_quantity_history> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Stock_quantity_history get(Long key) ;
    Page<Stock_quantity_history> searchDefault(Stock_quantity_historySearchContext context) ;

}



