package cn.ibizlab.businesscentral.core.odoo_utm.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_utm.domain.Utm_campaign;
import cn.ibizlab.businesscentral.core.odoo_utm.filter.Utm_campaignSearchContext;


/**
 * 实体[Utm_campaign] 服务对象接口
 */
public interface IUtm_campaignService{

    boolean create(Utm_campaign et) ;
    void createBatch(List<Utm_campaign> list) ;
    boolean update(Utm_campaign et) ;
    void updateBatch(List<Utm_campaign> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Utm_campaign get(Long key) ;
    Page<Utm_campaign> searchDefault(Utm_campaignSearchContext context) ;

}



